com.mathworks.mps.client.rest

## Class MATLABRequest

- java.lang.Object
- - com.mathworks.mps.client.rest.MATLABRequest

-     public class MATLABRequest
      extends java.lang.Object

  This class represents the HTTP response to the GET State Information request.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MATLABRequest(long lastModified, MATLABRequestState state)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastModifiedSeq()` Returns the lastModifiedSeq value on the server when the HTTP request was made.
    `MATLABRequestState` | `getState()` Returns the state of the request.
    `static MATLABRequest` | `newInstance(byte[] byteArray)` Creates an object of MATLABRequest class.
    `static MATLABRequest` | `newInstance(java.io.InputStream inputStream)` Creates an object of MATLABRequest class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MATLABRequest

          protected MATLABRequest(long lastModified,
                                  MATLABRequestState state)

  - ### Method Detail

    - #### newInstance

          public static MATLABRequest newInstance(java.io.InputStream inputStream)

      Creates an object of MATLABRequest class.
      Parameters:
        `inputStream` - HTTP response body
      Returns:
        `MATLABRequest` object

    - #### newInstance

          public static MATLABRequest newInstance(byte[] byteArray)

      Creates an object of MATLABRequest class.
      Parameters:
        `byteArray` -
      Returns:
        `MATLABRequest` object

    - #### getLastModifiedSeq

          public long getLastModifiedSeq()

      Returns the lastModifiedSeq value on the server when the HTTP request was made.
      Returns:
        long

    - #### getState

          public MATLABRequestState getState()

      Returns the state of the request.
      Returns:
        MATLABRequestState

Copyright 2010-2022 The MathWorks, Inc.